Bug 754189 - fedpkg chain-build does not work
Summary: fedpkg chain-build does not work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedpkg
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-15 16:26 UTC by Tom "spot" Callaway
Modified: 2013-01-10 06:41 UTC (History)
2 users (show)

Fixed In Version: fedpkg-1.6-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-29 00:20:53 UTC
Type: ---


Attachments (Terms of Use)
Set srpm to false on chainbuild (466 bytes, patch)
2011-11-16 14:28 UTC, Tom "spot" Callaway
no flags Details | Diff

Description Tom "spot" Callaway 2011-11-15 16:26:40 UTC
Description of problem:

Could not execute chainbuild: 'Namespace' object has no attribute 'srpm'

Version-Release number of selected component (if applicable):

fedpkg-1.5-1.fc16.noarch

How reproducible:

Always

Steps to Reproduce:
Try to do a chain-build.

Actual results:

Could not execute chainbuild: 'Namespace' object has no attribute 'srpm'

Expected results:

Building!

Additional info:

Length of chain does not seem to make a difference.

Comment 1 Tom "spot" Callaway 2011-11-16 14:28:47 UTC
Created attachment 534032 [details]
Set srpm to false on chainbuild

This resolves the bug for me, but it might be too simple. Is there a case where the rpkg code in chainbuild() would need an srpm?

Comment 2 Jesse Keating 2011-11-17 20:48:30 UTC
Thanks for the find, although the fix isn't quite the same.

I screwed up the build() function when I introduced the srpm-on-demand and lost an hasattr() call.  I've re-introduced that call upstream and it fixes chain-build once more.

Comment 3 Julian Sikorski 2011-11-18 15:00:45 UTC
Bug status says "modified", but there is no new build in koji. Where can I find the fix you applied? http://git.fedorahosted.org/git/?p=fedpkg.git does not seem to have it yet.

Comment 4 Jesse Keating 2011-11-18 18:01:35 UTC
In this case it was modified upstream.  http://git.fedorahosted.org/git/?p=rpkg.git;a=commitdiff;h=e34052aa74abb588eeae731b94fe41192d0296a9

Comment 5 Fedora Update System 2011-11-22 20:21:10 UTC
fedpkg-1.6-1.fc16,rpkg-1.10-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/fedpkg-1.6-1.fc16,rpkg-1.10-1.fc16

Comment 6 Fedora Update System 2011-11-23 23:33:24 UTC
Package fedpkg-1.6-1.fc16, rpkg-1.10-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fedpkg-1.6-1.fc16 rpkg-1.10-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16343/fedpkg-1.6-1.fc16,rpkg-1.10-1.fc16
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-11-29 00:20:53 UTC
fedpkg-1.6-1.fc16, rpkg-1.10-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.